Subject: bug#6547: GNU coreutils 8.5 "make check" => tests/test-suite.log 8 of 365 tests failed

From: Pádraig Brady <[email-masked]>
Date: Thu, 01 Jul 2010 17:25:58 +0100

On 01/07/10 15:16, Jost, Martin (NSN - DE/Munich) wrote:
> Hello,
> 
> I build coreutils 8.5. on:
> Linux xxx 2.6.9-89.0.23.ELsmp #1 SMP Fri Mar 5 17:56:21 EST 2010 i686
> i686 i386 GNU/Linux
> 
> Using
>> gcc --version
> gcc (GCC) 3.4.6 20060404 (Red Hat 3.4.6-3)
> 
> 8 of 365 tests failed.  (54 tests were not run).  

Thanks for sending this on.

fail 1 shows that stdbuf is ineffectual.
I wonder is setvbuf() buggy on your old glibc.
That is doubtful. Is the src/libstdbuf.so file built?
Note the test is time based, so if your system was loaded
and slow, then perhaps I need to increase the sleep .2
duration in the snippet below:

  printf '1\n' > exp
  dd count=1 if=fifo > out 2> err &
  (printf '1\n'; sleep .2; printf '2\n') | stdbuf -oL uniq > fifo
  wait #for dd
  grep -q 2 out && echo fail

The rest seem to be down to copy.c getting ENOTSUP when
it tries to chmod() both fifos and normal files.
What file system are you running on?

cheers,
Pádraig.